%define	api 2.2.1
%define	major 0
%define	libname %mklibname %{name} %{api} %{major}
%define	devname %mklibname %{name} -d

Summary:	AdLib sound player library
Name:		adplug
Version:	2.2.1
Release:	1
License:	LGPLv2+
Group:		Sound
Url:		http://adplug.github.io/
Source0:	http://downloads.sourceforge.net/project/%{name}/AdPlug%20core%20library/%{version}/%{name}-%{version}.tar.bz2
Source1:	http://downloads.sourceforge.net/project/adplug/Database/2006-07-06/adplugdb-2006-07-07.tar.gz
# Avoid collision with mad.h from libmad-devel
Patch0:		adplug-2.2-mad.patch
BuildRequires:	chrpath
BuildRequires:	pkgconfig(libbinio)

%description
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.
It supports various audio formats from MS-DOS AdLib trackers.

%files
%doc README
%{_bindir}/adplugdb
%{_mandir}/man1/adplugdb.1*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/adplug.db

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library of the AdPlug audio emulator
Group:		System/Libraries

%description -n %{libname}
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.
It supports various audio formats from MS-DOS AdLib trackers.
This package contains the shared library required to run applications based on
AdPlug.

%files -n %{libname}
%doc AUTHORS NEWS TODO COPYING
%{_libdir}/libadplug-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files of AdPlug
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Requires:	pkgconfig(libbinio)
Provides:	libadplug-devel = %{EVRD}

%description -n %{devname}
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.
It supports various audio formats from MS-DOS AdLib trackers.

This package contains the C++ headers and documentation required for building
programs based on AdPlug.

%files -n %{devname}
%doc README
%{_includedir}/adplug/
%{_libdir}/*.so
%{_infodir}/libadplug.info*
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
mv src/mad.h src/adplug_mad.h

%build
autoreconf -vfi
export CC=gcc
export CXX=g++
export CPPFLAGS="-I%{_includedir}/libbinio"
%configure \
	--disable-static
%make

%install
%makeinstall_std
mkdir -p %{buildroot}%{_datadir}/%{name}
zcat %{SOURCE1} > %{buildroot}%{_datadir}/%{name}/adplug.db
chrpath -d %{buildroot}%{_bindir}/adplugdb


%changelog

* Sun Apr 17 2016 Giovanni Mariani <mc2374@mclink.it> 2.2.1-1
- (5aa49de) Updated to release 2.2.1, updated source URLs


